Opened 5 months ago

Closed 2 months ago

Last modified 2 months ago

#13203 closed defect (fixed)

Opera Fatal (Director 4) loading issue

Reported by: mystrw1 Owned by: sev-
Priority: normal Component: Engine: Director
Version: Keywords:
Cc: Game:

Description

Game-Opera Fatal
ScummVM version-2.6 (built 12/27/21, 14:36:45)
Game Engine-Director 4
Language-English
Game version-CD
My OS-Win 10
This comment may be too early since Director is still early in development but I had the game available and decided to try it out. Opera Fatal appears to be properly detected when the game/files are added to ScummVM. Then, after clicking the Start button, a ScummVM screen appears with the text "Choose File For Loading" shown (top-left) with an accompanying text box directly below it. However, no files are displayed beneath the text box to select. Nothing happens when I select the "Choose" button (expected) on the screen but when I select the "Cancel" button, the game proceeds to a blank, gray screen with the text "Loading..." displayed (top-left). The game appears to lock up here. I also note the following info./error messages...

User picked target 'operafatal-win' (engine ID 'director', game ID 'operafatal')...

Looking for a plugin supporting this target... Macromedia Director

Running Opera Fatal (Windows/English)
OPERA.EXE: 2b9da5566698a1f4b453e1a27e00ad29, 697739 bytes.
WARNING: SearchSet::add: archive 'D:\Games\xOpera\' already present!
Starting v400 Director game
WARNING: Could not find classicmacfonts.dat. Falling back to built-in fonts!
WARNING: Lingo Inited!
-- "Now loading LINGO.INI 7/0/22 9:07 PM"
-- "This computer is running in 8-bit color depth."
WARNING: PJ93 projector flags: 0000000c!
WARNING: RIFX: type: APPL!
WARNING: mmap: version: 0!
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
WARNING: Movie is from later version v404!
Switching to Director v404
Reloading builtins
STUB: Unhandled 'Sord' resource
WARNING: MacFontManager::getFontLanguage: No _fontInfo entry for font 139!
WARNING: MacFontManager::getFontLanguage: No _fontInfo entry for font 139!
WARNING: Cast::loadCastChildren(): Bitmap image 49 not found!
WARNING: STUB: Score::loadFrames. frame1Offset: 14 numFrames: 0 version: 4 spriteRecordSize: 14 numChannels: 32 numChannelsDisplayed: 30!
WARNING: BitmapCastMember::createWidget: No image decoder!

Hoping this info. may help in the future...

Change History (4)

comment:1 by rvanlaar, 2 months ago

Thanks for the bug report. It not starting is a bug.

It is possible to start the game by giving scummvm the following commandline paramter:
--start-movie="opera/intro/intro.dxr" operafatal

comment:2 by sev-, 2 months ago

Owner: set to sev-
Resolution: fixed
Status: newclosed

This was fixed, thank you for reporting.

comment:3 by mystrw1, 2 months ago

Thank you for the response. I gave your work-around a try and just wanted to report back the following result:

  • The commandline parameter solved the initial problem. The game ran briefly by showing a few brief credit/opening screens (with sound...). The game then proceeded to a black screen (w/ an active cursor, so the game did not lock-up...) but the opening cut-scene never played. The game halted there and I was able to CTRL-Z to exit the game...

The command prompt screen displayed the following while the game briefly ran...

c:\Program Files\ScummVM>scummvm.exe -pD:/games/xOpera --start-movie="intro/intro.dxr" operafatal
User picked target 'operafatal' (engine ID 'director', game ID 'operafatal')...

Looking for a plugin supporting this target... Macromedia Director

WARNING: SearchSet::add: archive 'D:/games/xOpera\' already present!
Starting v400 Director game
WARNING: Could not find classicmacfonts.dat. Falling back to built-in fonts!
WARNING: Lingo Inited!
-- "Now loading LINGO.INI 18/2/22 3:20 PM"
-- "This computer is running in 8-bit color depth."
WARNING: RIFX: type: MV93!
WARNING: mmap: version: 0!
WARNING: Movie is from later version v404!
Switching to Director v404
Reloading builtins
STUB: Unhandled VWtk resource
WARNING: STUB: Cast::loadCastData(): kCastFilmLoop (1 children)!
WARNING: STUB: Cast::loadCastData(): kCastFilmLoop (1 children)!
WARNING: STUB: Cast::loadCastData(): kCastFilmLoop (1 children)!
STUB: Unhandled 'SCVW' resource
STUB: Unhandled 'Sord' resource
WARNING: BITDDecoder: pitch is too small: 78 < 155!
WARNING: BITDDecoder: pitch is too small: 78 < 154!
WARNING: BITDDecoder: pitch is too small: 78 < 153!
WARNING: BITDDecoder: pitch is too small: 70 < 137!
WARNING: BITDDecoder: pitch is too small: 76 < 152!
WARNING: STUB: Score::loadFrames. frame1Offset: 14 numFrames: 0 version: 4 spriteRecordSize: 14 numChannels: 32 numChannelsDisplayed: 30!

c:\Program Files\ScummVM>

Hope this may help any future troubleshooting...

comment:4 by sev-, 2 months ago

You do not need to use that command line parameter anymore. The game loads that movie correctly now, however, now there is another problem: the external audio file playback is clipped, but that is a completely different issue.

Note: See TracTickets for help on using tickets.